minivect Package
================

.. autodoc_member_order:: bysource

:mod:`miniast` Module
---------------------

.. automodule:: minivect.miniast
    :members:
    :show-inheritance:

:mod:`specializers` Module
--------------------------

.. automodule:: minivect.specializers
    :members:
    :show-inheritance:

:mod:`optimize` Module
--------------------------

.. automodule:: minivect.optimize
    :members:
    :show-inheritance:

:mod:`type_promoter` Module
--------------------------

.. automodule:: minivect.type_promoter
    :members:
    :show-inheritance:

:mod:`minitypes` Module
-----------------------

.. automodule:: minivect.minitypes
    :members:
    :show-inheritance:

:mod:`minivisitor` Module
-------------------------

.. automodule:: minivect.minivisitor
    :members:
    :show-inheritance:

:mod:`miniutils` Module
-----------------------

.. automodule:: minivect.miniutils
    :members:
    :show-inheritance:

:mod:`codegen` Module
---------------------

.. automodule:: minivect.codegen
    :members:
    :show-inheritance:

:mod:`llvm_codegen` Module
---------------------

.. automodule:: minivect.llvm_codegen
    :members:
    :show-inheritance:

:mod:`ctypes_conversion` Module
---------------------

.. automodule:: minivect.ctypes_conversion
    :members:
    :show-inheritance:

:mod:`minicode` Module
----------------------

.. automodule:: minivect.minicode
    :members:
    :show-inheritance:

:mod:`graphviz` Module
----------------------

.. automodule:: minivect.graphviz
    :members:
    :show-inheritance:

:mod:`xmldumper` Module
----------------------

.. automodule:: minivect.xmldumper
    :members:
    :show-inheritance:



:mod:`minierror` Module
-----------------------

.. automodule:: minivect.minierror
    :members:
    :show-inheritance:


